# class Gem::SystemExitException

Raised to indicate that a system exit should occur with the specified `exit_code`

### Attributes

exit_code[RW]

The exit code for the process

### Public Class Methods

new(exit_code) click to toggle source

Creates a new `SystemExitException` with the given `exit_code`

Calls superclass method `SystemExit::new`

    # File lib/rubygems/exceptions.rb, line 223
    def initialize(exit_code)
      @exit_code = exit_code

      super "Exiting RubyGems with exit_code #{exit_code}"
    end